Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.singularsys.jeptests
Class JepTest

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              com.singularsys.jeptests.JepTest

All Implemented Interfaces:
  junit.framework.Test

Direct Known Subclasses:
  CPTest, PostfixEvalTest

    public class JepTest

extends junit.framework.TestCase

Field Summary
`protected Jep` | `jep` The parser
`protected java.lang.Object` | `myFalse`
`protected java.lang.Object` | `myTrue`
`static boolean` | `PRINT_RESULTS`

Constructor Summary
`JepTest(java.lang.String name)`

Method Summary
`protected java.lang.Object` | `calcValue(Node node)` Calculate the value of an expression.
`protected java.lang.Object` | `calcValue(java.lang.String expr)` Calculate the value of an expression.
`void` | `complexValueTest(java.lang.String expr, Complex expected, double tol)` Test parse-evaluate with complex number and given tollerence.
`protected void` | `myAssertEquals(java.lang.String msg, java.lang.Object expected, java.lang.Object actual)`
`void` | `myAssertNaN(java.lang.String msg, java.lang.Object actual)`
`void` | `nodeTest(Node n, java.lang.Object v)`
`void` | `nodeTest(Node n, Operator op)`
`void` | `nodeTest(Node n, java.lang.String name)`
`void` | `nodeTest(Node n, Variable v)`
`void` | `setUp()` Sets up the parser.
`void` | `testAssign()`
`void` | `testBinom()`
`void` | `testChangeVariable()` Test changing variables value after parsing
`void` | `testComplex()`
`void` | `testEvaluate()` Tests the evaluate() method.
`void` | `testFormat()`
`void` | `testFunction()`
`void` | `testIf()`
`void` | `testImplicitMul()`
`void` | `testListAccess()`
`void` | `testLogical()`
`void` | `testNaN()`
`void` | `testNumbers()`
`void` | `testNumParam()`
`void` | `testPlusPlus()`
`void` | `testSetAllowUndeclared()` Tests whether allowUndeclared is working properly.
`void` | `testSimpleSum()`
`void` | `testStrings()`
`void` | `testUminusPower()`
`void` | `valueTest(java.lang.String expr, double a, double tol)` Test values to within a given precision
`protected void` | `valueTest(java.lang.String expr, java.lang.Object expected)` Test result j.evaluate(j.parse(expr))
`void` | `valueTestNaN(java.lang.String expr)` Test whether an expression evaluates to NaN
`void` | `valueTestString(java.lang.String expr, java.lang.String expected)`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, tearDown, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotEquals, failNotSame, failSame, format`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### PRINT_RESULTS

    public static final boolean PRINT_RESULTS

See Also:
  Constant Field Values

### jep

    protected Jep jep

  The parser

### myTrue

    protected java.lang.Object myTrue

### myFalse

    protected java.lang.Object myFalse

Constructor Detail

### JepTest

    public JepTest(java.lang.String name)

Method Detail

### setUp

    public void setUp()

  Sets up the parser.

  Overrides:
    `setUp` in class `junit.framework.TestCase`

### valueTest

    protected void valueTest(java.lang.String expr,
                             java.lang.Object expected)
                      throws java.lang.Exception

  Test result j.evaluate(j.parse(expr))

  Parameters:
    `expr` - the expression to parse and evaluate
    `expected` - result expected
  Throws:
    `java.lang.Exception`

### calcValue

    protected java.lang.Object calcValue(Node node)
                                  throws java.lang.Exception

  Calculate the value of an expression.

  Parameters:
    `node` -
  Throws:
    `java.lang.Exception`

### calcValue

    protected java.lang.Object calcValue(java.lang.String expr)
                                  throws java.lang.Exception

  Calculate the value of an expression.

  Parameters:
    `expr` -
  Throws:
    `java.lang.Exception`

### myAssertEquals

    protected void myAssertEquals(java.lang.String msg,
                                  java.lang.Object expected,
                                  java.lang.Object actual)

### myAssertNaN

    public void myAssertNaN(java.lang.String msg,
                            java.lang.Object actual)

### valueTestNaN

    public void valueTestNaN(java.lang.String expr)
                      throws java.lang.Exception

  Test whether an expression evaluates to NaN

  Parameters:
    `expr` -
  Throws:
    `java.lang.Exception`

### valueTestString

    public void valueTestString(java.lang.String expr,
                                java.lang.String expected)
                         throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### complexValueTest

    public void complexValueTest(java.lang.String expr,
                                 Complex expected,
                                 double tol)
                          throws java.lang.Exception

  Test parse-evaluate with complex number and given tollerence.

  Parameters:
    `expr` -
    `expected` -
    `tol` -
  Throws:
    `java.lang.Exception`

### valueTest

    public void valueTest(java.lang.String expr,
                          double a,
                          double tol)
                   throws java.lang.Exception

  Test values to within a given precision

  Parameters:
    `expr` -
    `a` -
    `tol` -
  Throws:
    `java.lang.Exception`

### nodeTest

    public void nodeTest(Node n,
                         Operator op)

### nodeTest

    public void nodeTest(Node n,
                         java.lang.String name)

### nodeTest

    public void nodeTest(Node n,
                         Variable v)

### nodeTest

    public void nodeTest(Node n,
                         java.lang.Object v)

### testEvaluate

    public void testEvaluate()
                      throws java.lang.Exception

  Tests the evaluate() method.

  Throws:
    `java.lang.Exception`

### testChangeVariable

    public void testChangeVariable()

  Test changing variables value after parsing

### testSetAllowUndeclared

    public void testSetAllowUndeclared()

  Tests whether allowUndeclared is working properly.

### testSimpleSum

    public void testSimpleSum()
                       throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testNumbers

    public void testNumbers()
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testStrings

    public void testStrings()
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testLogical

    public void testLogical()
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testNaN

    public void testNaN()
                 throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testComplex

    public void testComplex()
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testFunction

    public void testFunction()
                      throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testIf

    public void testIf()
                throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testPlusPlus

    public void testPlusPlus()
                      throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testImplicitMul

    public void testImplicitMul()
                         throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testUminusPower

    public void testUminusPower()
                         throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testNumParam

    public void testNumParam()
                      throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testBinom

    public void testBinom()
                   throws ParseException,
                          java.lang.Exception

  Throws:
    `ParseException`
    `java.lang.Exception`

### testFormat

    public void testFormat()
                    throws ParseException

  Throws:
    `ParseException`

### testAssign

    public void testAssign()
                    throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testListAccess

    public void testListAccess()
                        throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Singular Systems http://www.singularsys.com/jep